This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 62079 - sndconfig generates inoperative /etc/modules.conf for Dell Inspiron 3000 laptop (CS423x chip)
sndconfig generates inoperative /etc/modules.conf for Dell Inspiron 3000 lapt...
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: sndconfig (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-03-27 04:01 EST by Joel Schneider
Modified: 2014-03-16 22:26 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-21 17:17:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joel Schneider 2002-03-27 04:01:28 EST
Description of problem:
The /etc/modules.conf file generated by sndconfig on my old Dell Inspiron 3000
laptop does not work.

Version-Release number of selected component (if applicable):
sndconfig-0.66-2

How reproducible:
Always

Steps to Reproduce:
1. Run sndconfig on Dell Inspiron 3000 laptop
2. sndconfig attempts to detect sound card and says no PNP or PCI sound cards
found
3. Select "Crystal CS432x sound chip"
4. Enter values as prompted:  I/O PORT = 0x530, IRQ = 5, DMA 1 = 1, DMA 2 = 0,
MPU I/O = 0x330, MPU IRQ = 9
5. Say "Yes" to save the config.

Actual Results:  sndconfig adds the following lines to /etc/modules.conf:
-----
alias sound-slot-0 cs4232
post-install sound-slot-0 /bin/aumix-minimal -f /etc/.aumixrc -L >/dev/null 2>&1
|| :
pre-remove sound-slot-0 /bin/aumix-minimal -f /etc/.aumixrc -S >/dev/null 2>&1
|| :
options sound dmabuf=1
alias synth0 opl3
options opl3 io=0x388
options cs4232 io=0x530 irq=5 dma=1 dma2=0 mpuio=0x330 mpuirq=9
-----
The "options sound dmabuf=1" line causes sound not to work on the Dell Inspiron
3000 laptop when it boots up.
The cs4232 "mpuio=0x330 mpuirq=9" options don't make any sense for the Dell
Inspiron 3000.

Expected Results:  For the Dell Inspiron 3000, the /etc/modules.conf file should
look more like this:
-----
alias sound-slot-0 cs4232
post-install sound-slot-0 /bin/aumix-minimal -f /etc/.aumixrc -L >/dev/null 2>&1
|| :
pre-remove sound-slot-0 /bin/aumix-minimal -f /etc/.aumixrc -S >/dev/null 2>&1
|| :
alias synth0 opl3
options opl3 io=0x388
options cs4232 io=0x530 irq=5 dma=1 dma2=0
-----
After the "options sound dmabuf=1" line and "mpuio=0x330 mpuirq=9" cs4232
options are removed from /etc/modules.conf, sound appears to work correctly on
the Dell Inspiron 3000 laptop when it boots up.
The sndconfig program should offer more flexibility when configuring cs423x
sound systems.

Additional info:

Excerpt from Inspiron 3000 BIOS Settings:

Plug & Play O/S:      [Yes] **
...
Audio:                [Enabled]
  SB I/O address:     [220h]
  WSS I/O address:    [530h]
  AdLib I/O address:  [388h]
  Interrupt:          [IRQ5]
  1st DMA channel:    [DMA1]
  2nd DMA channel:    [DMA2]

** This is apparently required for USB support on this machine in linux 2.4.x.
Comment 1 Joel Schneider 2002-03-31 03:38:41 EST
There are some typos in the original bug report.
The Inspiron uses a "Crystal 423x sound chip" (not 432x).
The correct BIOS setting for the 2nd DMA channel is [DMA0] (not DMA2).
Comment 2 Bill Nottingham 2005-01-21 17:17:16 EST
sndconfig is no longer developed, and this release has reached end-of-life.
Closing out old bugs.

Note You need to log in before you can comment on or make changes to this bug.